apiVersion: v1
data:
  ClusterConfiguration: |
    apiServer:
      extraArgs:
        authorization-mode: Node,RBAC
      timeoutForControlPlane: 4m0s
    apiVersion: kubeadm.k8s.io/v1beta3
    certificatesDir: /etc/kubernetes/pki
    clusterName: home-cluster
    controlPlaneEndpoint: 192.168.1.2:6443
    controllerManager: {}
    dns: {}
    etcd:
      external:
        caFile: /etc/etcd/ca.pem
        certFile: /etc/etcd/etcd.pem
        endpoints:
        - https://192.168.1.10:2379
        - https://192.168.1.11:2379
        - https://192.168.1.6:2379
        - https://192.168.1.2:2379
        keyFile: /etc/etcd/etcd-key.pem
    imageRepository: registry.k8s.io
    kind: ClusterConfiguration
    kubernetesVersion: v1.29.2
    networking:
      dnsDomain: cluster.local
      podSubnet: 10.244.0.0/16
      serviceSubnet: 10.96.0.0/16
kind: ConfigMap
metadata:
  creationTimestamp: "2020-04-11T11:41:55Z"
  name: kubeadm-config
  namespace: kube-system
  resourceVersion: "176445437"
  uid: ed13fa37-a6e4-4f11-879f-9f2e49de5b44
